<?xml version="1.0" encoding="UTF-8"?>
   <web-app xmlns="http://java.sun.com/xml/ns/javaee" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://java.sun.com/xml/ns/javaee http://java.sun.com/xml/ns/javaee/web-app_2_5.xsd" version="2.5">
      <description>External Supplier Emulator</description>
      <servlet>
         <servlet-name>Emulator</servlet-name>
         <servlet-class>org.spec.jent.supplier.emulator.EmulatorServlet</servlet-class>
         <init-param>
            <param-name>debuglevel</param-name>
            <param-value>0</param-value>
         </init-param>
      </servlet>
      <servlet-mapping>
         <servlet-name>Emulator</servlet-name>
         <url-pattern>/EmulatorServlet</url-pattern>
      </servlet-mapping>
      <session-config>
         <session-timeout>30</session-timeout>
      </session-config>
      <env-entry>
            <description>This env entry is for minimum payload size of the supplier</description>
            <env-entry-name>supplier.payloadsize.min</env-entry-name>
            <env-entry-type>java.lang.Integer</env-entry-type>
            <env-entry-value>100</env-entry-value>
      </env-entry>
      <env-entry>
            <description>This env entry is for maximum payload size of the supplier</description>
            <env-entry-name>supplier.payloadsize.max</env-entry-name>
            <env-entry-type>java.lang.Integer</env-entry-type>
            <env-entry-value>500</env-entry-value>
      </env-entry>
      <env-entry>
            <description>This env entry is to set the core thread pool size of the delivery scheduler</description>
            <env-entry-name>supplier.deliveryhandler.poolsize</env-entry-name>
            <env-entry-type>java.lang.Integer</env-entry-type>
            <env-entry-value>10</env-entry-value>
      </env-entry>
      <env-entry>
            <description>Set this to true if you want all threads in the delivery scheduler thread pool to be pre-started</description>
            <env-entry-name>supplier.deliveryhandler.presstartallthreads</env-entry-name>
            <env-entry-type>java.lang.Boolean</env-entry-type>
            <env-entry-value>false</env-entry-value>
      </env-entry>
      <env-entry>
            <description>This env entry is to set the thread keep alive time (in seconds) for threads in the delivery scheduler thread pool </description>
            <env-entry-name>supplier.deliveryhandler.keepalivetime</env-entry-name>
            <env-entry-type>java.lang.Integer</env-entry-type>
            <env-entry-value>300</env-entry-value>
      </env-entry>
   </web-app>
